summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichael Seifert <m.seifert@digitalernachschub.de>2019-03-08 10:57:24 +0100
committerPatrice Clement <monsieurp@gentoo.org>2019-03-29 00:12:29 +0100
commit1b43b8d1a8edc9efef65814410e0bbd2426ee1f8 (patch)
treee3ab28b2640cf1eefebf2ee5b1197ffe9f86a399 /dev-util/stripe-mock/stripe-mock-0.47.0.ebuild
parentdev-python/pympler: Version bump to 0.6 (diff)
downloadgentoo-1b43b8d1a8edc9efef65814410e0bbd2426ee1f8.tar.gz
gentoo-1b43b8d1a8edc9efef65814410e0bbd2426ee1f8.tar.bz2
gentoo-1b43b8d1a8edc9efef65814410e0bbd2426ee1f8.zip
dev-util/stripe-mock: version bump to v0.47.0.
Closes: https://bugs.gentoo.org/679754 Signed-off-by: Michael Seifert <m.seifert@digitalernachschub.de> Closes: https://github.com/gentoo/gentoo/pull/11299 Signed-off-by: Patrice Clement <monsieurp@gentoo.org>
Diffstat (limited to 'dev-util/stripe-mock/stripe-mock-0.47.0.ebuild')
-rw-r--r--dev-util/stripe-mock/stripe-mock-0.47.0.ebuild22
1 files changed, 22 insertions, 0 deletions
diff --git a/dev-util/stripe-mock/stripe-mock-0.47.0.ebuild b/dev-util/stripe-mock/stripe-mock-0.47.0.ebuild
new file mode 100644
index 000000000000..466e59347a0b
--- /dev/null
+++ b/dev-util/stripe-mock/stripe-mock-0.47.0.ebuild
@@ -0,0 +1,22 @@
+# Copyright 1999-2019 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+EGO_SRC="github.com/stripe/stripe-mock"
+EGO_PN=${EGO_SRC}/...
+inherit golang-build golang-vcs-snapshot
+
+DESCRIPTION="Mock HTTP server that responds like the real Stripe API"
+HOMEPAGE="https://github.com/stripe/stripe-mock"
+SRC_URI="https://github.com/stripe/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+KEYWORDS="~amd64 ~x86"
+
+LICENSE="MIT"
+SLOT="0"
+
+src_install() {
+ golang-build_src_install
+ dobin bin/stripe-mock
+ rm -rf "${D%/}$(get_golibdir_gopath)" || die
+}